
Redmine - Feature #27313

More custom queries on My page

2017-10-27 16:43 - Igor Rybak

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: My page Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

According to #1565#note-88 created issue. Lets increase number of custom queries on My page up to 10.

Or add an administrative setting to set number of possible blocks with queries (certainly with some maximum).

Related issues:

Related to Redmine - Feature #1565: Custom query on My page Closed 2008-07-03

History

#1 - 2017-11-08 16:55 - Toshi MARUYAMA

- Tracker changed from Patch to Feature

- Subject changed from More  custom queries on My page to More custom queries on My page

- Description updated

#2 - 2018-02-22 17:20 - Marc D.

+1

#3 - 2018-04-05 09:44 - Jonas Götze

+1

#4 - 2018-08-31 02:16 - Yury Zhukovskiy

+1

#5 - 2018-08-31 09:12 - Olivier Houdas

A setting to control the maximum number of queries sounds a must to me. I had the case once of a user who had put 5 or even more blocks in his

page, and who had used a Chrome plugin to refresh his page every minute. It put our redmine server on its knees...

Of course, when I told him to find another way to be aware of changes quickly, he found another solution, but it is a risk.

Also note that the redmine_my_page plugin works quite well.

#6 - 2018-10-07 22:42 - Marius BĂLTEANU

- Related to Feature #1565: Custom query on My page added

#7 - 2018-11-21 02:48 - M Irie

+1

#8 - 2018-12-01 15:12 - Go MAEDA

- Assignee set to Jean-Philippe Lang

- Target version set to 4.0.0

Jean-Philippe, what do you think about increasing the maximum number of "issuequery" block?

Index: lib/redmine/my_page.rb

===================================================================

--- lib/redmine/my_page.rb    (revision 17668)

+++ lib/redmine/my_page.rb    (working copy)

@@ -25,7 +25,7 @@

         'issuesassignedtome' => {:label => :label_assigned_to_me_issues},

         'issuesreportedbyme' => {:label => :label_reported_issues},
         'issueswatched' => {:label => :label_watched_issues},

-        'issuequery' => {:label => :label_issue_plural, :max_occurs => 3},

+        'issuequery' => {:label => :label_issue_plural, :max_occurs => 5},

         'news' => {:label => :label_news_latest},

         'calendar' => {:label => :label_calendar},

         'documents' => {:label => :label_document_plural},

</diff>

#9 - 2018-12-08 07:36 - Jean-Philippe Lang

- Assignee deleted (Jean-Philippe Lang)

- Target version changed from 4.0.0 to Candidate for next major release

We should probably load content asynchronously before raising the number of queries that can be displayed.
